package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城企业客户资产(TFinanceCustomerAssets)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
@TableName("t_finance_customer_assets")
@ApiModel
public class  FinanceCustomerAssets implements Serializable {
    private static final long serialVersionUID = -86484762300825431L;
    /**
     * 资产id
     */
    private Long assetsId;
    /**
     * 企业id
     */
    private Long departmentId;
    /**
     * 可用金额
     */
    private Double useMoney;
    /**
     * 冻结金额
     */
    private Double frozenMoney;
    /**
     * 总金额
     */
    private Double totalMoney;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 更新人
     */
    private String uptPerson;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getAssetsId() {
        return assetsId;
    }

    public void setAssetsId(Long assetsId) {
        this.assetsId = assetsId;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public Double getUseMoney() {
        return useMoney;
    }

    public void setUseMoney(Double useMoney) {
        this.useMoney = useMoney;
    }

    public Double getFrozenMoney() {
        return frozenMoney;
    }

    public void setFrozenMoney(Double frozenMoney) {
        this.frozenMoney = frozenMoney;
    }

    public Double getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(Double totalMoney) {
        this.totalMoney = totalMoney;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}