package domian; /**
 * Copyright (c) 2011-2018 All Rights Reserved.
 */

import com.alibaba.fastjson.JSON;
import com.jz.dm.gateway.common.util.TtpayUtils;
import com.jz.dm.gateway.common.util.WebUtils;
import com.jz.dm.gateway.model.signtype.Md5;

import java.util.HashMap;
import java.util.Map;

/**
 *
 *
 * @author Admin
 * @version $Id: PushSdkTest.java 2018年4月12日 下午4:31:31 $
 */
public class PushSdkLocalhostTest1 {
	private static String uri = "http://localhost:8088/gateway";

	public static void main(String[] args) throws Exception {
		// 余额查询接口
		balQuery();
		//委托订单查询
		//orderQuery();
		//取消订单
		//cancelOrder();
		//账户信息查询
		//accQuery();
		//代发订单详情
		//orderDetail();
	}

	protected static void balQuery() {
		try {
			Map<String, String> data = new HashMap<>();
			data.put("appId", "200316008117");
			data.put("method", "bal.query");
			data.put("charset", "UTF-8");
			data.put("signType", "MD5");

			data.put("timestamp", String.valueOf(System.currentTimeMillis()));
			data.put("version", "1.0.0");

			Map<String, String> params = new HashMap<>();
			params.put("account_no", "5845342722900679704");
			params.put("account_type", "WBANK");
			data.put("params", JSON.toJSONString(params));


			String dataStr = TtpayUtils.createLinkString(TtpayUtils.filter(data));
			String sign = Md5.encrypt(dataStr, "fP6R7cSvQj8JwThFvP1RrOomkHXydHx3", "UTF-8");
			data.put("sign", sign);
			System.out.println(data);
			String rsp = WebUtils.post(uri, data);
			System.out.println(rsp);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	//protected static void orderQuery() {
	//	try {
	//		Map<String, String> data = new HashMap<>();
	//		data.put("app_id", "200314008093");
	//		data.put("method", "trade.query");
	//		data.put("charset", "UTF-8");
	//		data.put("sign_type", "MD5");
	//
	//		data.put("timestamp", String.valueOf(System.currentTimeMillis()));
	//		data.put("version", "1.0.0");
	//
	//		Map<String, String> params = new HashMap<>();
	//		//商户订单号
	//		params.put("out_trade_no", "YW202003040013");
	//		//银行卡号(非必填)
	//		//params.put("card_no", "6214806601002512988");
	//		data.put("params", JSON.toJSONString(params));
	//		String dataStr = TtpayUtils.createLinkString(TtpayUtils.filter(data));
	//		String sign = Md5.encrypt(dataStr, "fP6R7cSvQj8JwThFvP1RrOomkHXydHx3", "UTF-8");
	//		data.put("sign", sign);
	//
	//		String rsp = WebUtils.post(uri, data);
	//		System.out.println(rsp);
	//	} catch (Exception e) {
	//		e.printStackTrace();
	//	}
	//}
	//
	//protected static void cancelOrder() {
	//	try {
	//		Map<String, String> data = new HashMap<>();
	//		data.put("app_id", "200314008092");
	//		data.put("method", "trade.cancel");
	//		data.put("charset", "UTF-8");
	//		data.put("sign_type", "MD5");
	//
	//		data.put("timestamp", String.valueOf(System.currentTimeMillis()));
	//		data.put("version", "1.0.0");
	//
	//		Map<String, String> params = new HashMap<>();
	//		params.put("remark", "订单取消");
	//		//商户订单号
	//		params.put("out_trade_no", "2020031410810730003");
	//		data.put("params", JSON.toJSONString(params));
	//
	//		String dataStr = TtpayUtils.createLinkString(TtpayUtils.filter(data));
	//		String sign = Md5.encrypt(dataStr, "fP6R7cSvQj8JwThFvP1RrOomkHXydHx3", "UTF-8");
	//		data.put("sign", sign);
	//
	//		String rsp = WebUtils.post(uri, data);
	//		System.out.println(rsp);
	//	} catch (Exception e) {
	//		e.printStackTrace();
	//	}
	//}
	//protected static void accQuery() {
	//	try {
	//		Map<String, String> data = new HashMap<>();
	//		data.put("app_id", "200314008092");
	//		data.put("method", "acc.query");
	//		data.put("charset", "UTF-8");
	//		data.put("sign_type", "MD5");
	//
	//		data.put("timestamp", String.valueOf(System.currentTimeMillis()));
	//		data.put("version", "1.0.0");
	//
	//		Map<String, String> params = new HashMap<>();
	//		//params.put("remark", "订单取消");
	//		//商户订单号
	//		//params.put("out_trade_no", "2020031410810730003");
	//		data.put("params", JSON.toJSONString(params));
	//
	//		String dataStr = TtpayUtils.createLinkString(TtpayUtils.filter(data));
	//		String sign = Md5.encrypt(dataStr, "fP6R7cSvQj8JwThFvP1RrOomkHXydHx3", "UTF-8");
	//		data.put("sign", sign);
	//
	//		String rsp = WebUtils.post(uri, data);
	//		System.out.println(rsp);
	//	} catch (Exception e) {
	//		e.printStackTrace();
	//	}
	//}
	//protected static void orderDetail() {
	//	try {
	//		Map<String, String> data = new HashMap<>();
	//		data.put("app_id", "200314008093");
	//		data.put("method", "trade.detail");
	//		data.put("charset", "UTF-8");
	//		data.put("sign_type", "MD5");
	//
	//		data.put("timestamp", String.valueOf(System.currentTimeMillis()));
	//		data.put("version", "1.0.0");
	//
	//		Map<String, String> params = new HashMap<>();
	//		//商户订单号
	//		params.put("out_trade_no", "YW202003040012");
	//		data.put("params", JSON.toJSONString(params));
	//
	//		String dataStr = TtpayUtils.createLinkString(TtpayUtils.filter(data));
	//		String sign = Md5.encrypt(dataStr, "fP6R7cSvQj8JwThFvP1RrOomkHXydHx3", "UTF-8");
	//		data.put("sign", sign);
	//
	//		String rsp = WebUtils.post(uri, data);
	//		System.out.println(rsp);
	//	} catch (Exception e) {
	//		e.printStackTrace();
	//	}
	//}
}
